import { select, arc } from 'd3';
const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');
const g = svg.append('g')
  .attr('transform',`translate(${width/2},${height/2})`);
const circle = g.append('circle')
  .attr('r',height/2)
  .attr('fill','yellow')
  .attr('stroke','black');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 30;
const eyebrowWidth = 50;
const eyebrowHeight = 25;
const eyebrowOffset = -70;

const eyesG = g.append('g')
  .attr('transform',`translate(0,${eyeYOffset})`);

const leftEye = eyesG.append('circle')
  .attr('r', eyeRadius)
  .attr('cx', -eyeSpacing);

const rightEye = eyesG.append('circle')
  .attr('r', eyeRadius)
  .attr('cx',eyeSpacing);

const nose = eyesG.append('path')
  .attr('d', "M0 10 L0 100")
  .attr('stroke','black')
  .attr('stroke-width', '5');

const eyebrowG = eyesG.append('g')
  .attr('transform',`translate(0,${eyebrowOffset})`);

eyebrowG
  .transition().duration(2000)
    .attr('transform',`translate(0,${eyebrowOffset})` -50)
  .transition().duration(2000)
    .attr('transform',`translate(0,${eyebrowOffset})`);

const leftEyebrow = eyebrowG
  .append('rect')
      .attr('x', -eyeSpacing -eyebrowWidth/2)
      .attr('y', eyebrowOffset)
      .attr('width', eyebrowWidth)
      .attr('height',eyebrowHeight);

const righttEyebrow = eyebrowG
  .append('rect')
    .attr('x', eyeSpacing -eyebrowWidth/2)
    .attr('y', eyebrowOffset)
    .attr('width', eyebrowWidth)
    .attr('height',eyebrowHeight);
    

const mouth = g.append('path')
  .attr('d', arc()({
  innerRadius: 90,
  outerRadius: 100,
  startAngle: Math.PI / 2,
  endAngle: Math.PI * 3/2
}));